WordPress更新5.1版本,国内服务器频繁升级失败怎么办

来源:赚贝金融

阅读量:浏览: 772

发布时间:2019-02-22

今天小编在登录WordPress后台的时候有看到提醒有新版本WordPress5.1更新,这次算是比较大的版本更新。取名Betty,主要是为纪念爵士乐歌手Betty Carter,我们可以看到还是比较有含义的。这次更新主要还是针对新编辑器的优化版本更新,可以见得WP希望尽力把这款很多人认为不好的编辑器体验做好。 继WordPress 5.0之后 - 引入新块编辑器的主要版本 - 5.1专注于抛光,特别是通过提高编辑器的整体性能。 此外,此版本为更好,更快,更安全的WordPress铺平了道路,为网站管理员和开发人员提供了一些必要的工具。 同时,新版本还引用Site Health站点健康机制,会检测当前的PHP版本是否与插件以及系统兼容,然后给予信息提醒。如果不兼容将会阻止我们安装,减少不必要的错误。 同时优化开发机制,定时计划Cron API、多站点元数据、新的JS构建过程等功能,当然也修复之前存在的一些问题。如果我们有需要建议还是尽快的升级到最新版本。

相关链接

WordPress 5.1 Betty 已经发布,然而在国内的许多 WordPress 站点在更新 WordPress 5.1–en_US 的时候却频繁出现更新升级失败的情况,这是由于 WordPress 更新文件放置与国外的缘故,并且并非是国内中文版本包,所以就会当我们点击“现在更新”后会出现空白页面。 WordPress更新5.1版本,解决国内服务器频繁升级失败方法 那么解决 WordPress 无法正常升级或更新程序失败的问题其实也很简单: 第一种就是通过 WordPress 官方直接下载最新版本的完整安装包,通过直接复制文件的方式升级,然后访问后台会提示有数据库升级,点击升级 WordPress 数据库,然后继续即可进入后台。 第二种解决办法就是给 WordPress 配置一个国外的代理服务器来解决程序升级失败问题,将一下代码添加至 WordPress 根目录配置文件 wp-config.php 中(当升级完成后,子凡还是建议删除或者注释这两行代码):
1
2
define('WP_PROXY_HOST', 'us.centos.bz');
define('WP_PROXY_PORT', '31281');
放置在 MySQL 设置配置之后为最佳,然后重新通过后台升级! 如果提示“另一更新正在进行” 解决办法:其实这个并不是什么大问题,原理更简单,WordPress 为了防止网站同时多次升级,所以临时在 WordPress 的数据库中*_options 表中有一个 core_updater.lock 的记录来作为判断,升级更新成功 WordPress 便会自动删除该记录,如果你不小心刷新或者更新失败了,就有可能出现这个数据库记录未删除,就造成了再次升级的时候提示“另一更新正在进行”。 而解决方法就非常的简单了,我们可以通过 phpmyadmin 等工具管理 WordPress 数据库,在*_options 表中找到 core_updater.lock 记录并删除即可。 WordPress更新5.1版本,解决国内服务器频繁升级失败方法    
WordPress 5.1

相关推荐